import { h } from '@stencil/core';
import { ORDER_VALUES } from '../../../lib/utils/constants';
export class SelectBox {
  constructor() {
    this.selectedOption = ORDER_VALUES.none;
    this.preventAutoFocus = false;
  }
  render() {
    return (h("ez-combo-box", { class: "grid-config-combo ez-input--inverted", label: "", suppressSearch: true, value: this.selectedOption, enabled: true, canShowError: false, suppressEmptyOption: true, preventAutoFocus: this.preventAutoFocus }, Object.keys(ORDER_VALUES).map((key) => {
      return h("option", { value: ORDER_VALUES[key].value }, ORDER_VALUES[key].label);
    })));
  }
  static get is() { return "snk-select-box"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["snk-select-box.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["snk-select-box.css"]
    };
  }
  static get assetsDirs() { return ["../assets"]; }
  static get properties() {
    return {
      "selectedOption": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "IOption | string",
          "resolved": "IOption | string",
          "references": {
            "IOption": {
              "location": "import",
              "path": "@sankhyalabs/ezui/dist/types/components/ez-combo-box/ez-combo-box"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "Determina a op\u00E7\u00E3o selecionada."
        },
        "attribute": "selected-option",
        "reflect": false,
        "defaultValue": "ORDER_VALUES.none"
      },
      "preventAutoFocus": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "Se true, impede que o campo de texto receba foco automaticamente ao abrir as op\u00E7\u00F5es."
        },
        "attribute": "prevent-auto-focus",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
  static get events() {
    return [{
        "method": "ezChange",
        "name": "ezChange",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": "Emitido ao alterar a sele\u00E7\u00E3o do componente snk-select-box."
        },
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        }
      }];
  }
}
